Package pyplusplus :: Package decl_wrappers :: Module typedef_wrapper :: Class typedef_t

# type typedef_t

source code

                                             object --+
                                                      |
                            decl_wrapper.decl_wrapper_t --+
                                                          |
                                         object --+       |
                                                  |       |
    pygccxml.declarations.declaration.declaration_t --+   |
                                                      |   |
                pygccxml.declarations.typedef.typedef_t --+
                                                          |
                                                         typedef_t

defines a set of properties, that will instruct Py++ how to expose the typedef

Today, Py++ does not exposes typedefs, but this could be changed in future. In C++, it is a common practises to give an aliases to the class. May be in future, Py++ will generate code, that will register all those aliases.

Instance Methods

__init__(self, *arguments, **keywords) creates class that describes C++ typedef | source code

Inherited from `decl_wrapper.decl_wrapper_t`: `disable_messages`, `disable_warnings`, `exclude`, `get_already_exposed`, `get_exportable`, `include`, `readme`, `rename`, `set_already_exposed`, `set_exportable`, `why_not_exportable`

Inherited from `pygccxml.declarations.typedef.typedef_t`: `__eq__`, `i_depend_on_them`

Inherited from `pygccxml.declarations.declaration.declaration_t`: `__lt__`, `__ne__`, `__str__`, `create_decl_string`

Class Variables
Inherited from `decl_wrapper.decl_wrapper_t`: `SPECIAL_TYPEDEF_PICK_ANY`

Properties
| is_directive

Inherited from `decl_wrapper.decl_wrapper_t`: `alias`, `already_exposed`, `disabled_messages`, `documentation`, `exportable`, `ignore`, `include_files`, `logger`

Inherited from `pygccxml.declarations.typedef.typedef_t`: `byte_align`, `byte_size`, `type`

Inherited from `pygccxml.declarations.declaration.declaration_t`: `attributes`, `cache`, `compiler`, `decl_string`, `demangled`, `is_artificial`, `location`, `mangled`, `name`, `parent`, `partial_decl_string`, `partial_name`, `top_parent`

Method Details

### __init__(self, *arguments, **keywords)
(Constructor)

source code

creates class that describes C++ typedef

Overrides: pygccxml.declarations.declaration.declaration_t.__init__

Property Details

### is_directive